package io.reisub.dreambot.cplanker.tasks;

import org.dreambot.api.methods.Calculations;
import org.dreambot.api.methods.MethodProvider;
import org.dreambot.api.methods.container.impl.Inventory;
import org.dreambot.api.methods.container.impl.equipment.Equipment;
import org.dreambot.api.methods.container.impl.equipment.EquipmentSlot;
import org.dreambot.api.methods.interactive.NPCs;
import org.dreambot.api.script.TaskNode;

public class Teleport extends TaskNode {
    @Override
    public boolean accept() {
        return Inventory.contains("Oak plank")
                && NPCs.closest("Sawmill operator") != null;
    }

    @Override
    public int execute() {
        Equipment.interact(EquipmentSlot.RING, "Castle Wars");
        MethodProvider.sleepUntil(() -> NPCs.closest("Sawmill operator") == null, Calculations.random(2000, 3000));

        return Calculations.random(250, 400);
    }
}
