package io.reisub.dreambot.cshopper.tasks;

import io.reisub.dreambot.util.Util;
import org.dreambot.api.methods.Calculations;
import org.dreambot.api.methods.MethodProvider;
import org.dreambot.api.methods.container.impl.Inventory;
import org.dreambot.api.methods.container.impl.Shop;
import org.dreambot.api.methods.container.impl.bank.Bank;
import org.dreambot.api.methods.interactive.GameObjects;
import org.dreambot.api.script.TaskNode;
import org.dreambot.api.wrappers.interactive.GameObject;

public class Deposit extends TaskNode {
    @Override
    public boolean accept() {
        return Inventory.isFull();
    }

    @Override
    public int execute() {
        GameObject bank = GameObjects.closest("Bank chest");
        if (bank == null) return Calculations.random(250, 400);

        if (Shop.isOpen()) {
            Shop.close();
            MethodProvider.sleepUntil(() -> !Shop.isOpen(), Calculations.random(2000, 2500));
        }

        bank.interact();
        if (!Util.sleepUntilMoving()) return Calculations.random(250, 400);

        if (!MethodProvider.sleepUntil(Bank::isOpen, Calculations.random(5000, 5500))) return Calculations.random(250, 400);

        MethodProvider.sleep(300, 500);

        Bank.depositAllExcept("Coins");
        MethodProvider.sleepUntil(() -> Inventory.onlyContains("Coins"), Calculations.random(5000, 5500));

        Bank.close();
        MethodProvider.sleepUntil(() -> !Bank.isOpen(), Calculations.random(2000, 2500));
        Hop.shouldHop = true;

        return Calculations.random(250, 400);
    }
}
