package io.reisub.dreambot.csmelter;

public class Ingredient {
    private final String name;
    private final int amount;

    public Ingredient(String name, int amount) {
        this.name = name;
        this.amount = amount;
    }

    public Ingredient(String name) {
        this(name, 1);
    }

    public String getName() {
        return name;
    }

    public int getAmount() {
        return amount;
    }
}
