package io.reisub.dreambot.cwintertodt;

import io.reisub.dreambot.cwintertodt.tasks.Wait;
import io.reisub.dreambot.cwintertodt.tasks.WintertodtTask;
import io.reisub.dreambot.util.Constants;
import io.reisub.dreambot.util.tasks.Eat;
import org.dreambot.api.script.Category;
import org.dreambot.api.script.ScriptManifest;
import org.dreambot.api.script.impl.TaskScript;

@SuppressWarnings("unused")
@ScriptManifest(name = "CWintertodt", description = "Wintertodt runner", author = Constants.AUTHOR,
        version = 1.0, category = Category.MINIGAME, image = "")
public class CWintertodt extends TaskScript {
    public void onStart() {
        addNodes(
                new Eat(),
                new Wait(),
                WintertodtTask.createWintertodtTask()
        );
    }
}

